{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "MIT",
    "require": {
        "php": "^7.4|^8.0",
        "ext-json": "*",
        "ext-memcached": "*",
        "ext-pinba": "*",
        "chocofamilyme/idempotency": "^4.0",
        "chocofamilyme/laravel-healthcheck": "^2.0",
        "chocofamilyme/laravel-pinba": "^2.0",
        "cloudcreativity/laravel-json-api": "^3.1",
        "darkaonline/l5-swagger": "^8.0",
        "doctrine/dbal": "^2.10",
        "fideloper/proxy": "^4.0",
        "fruitcake/laravel-cors": "^1.0",
        "guzzlehttp/guzzle": "^7.0.1",
        "laravel/framework": "^8.2",
        "maatwebsite/excel": "^3.1",
        "mstaack/laravel-postgis": "^5.2",
        "phing/phing": "^2.16",
        "sentry/sentry-laravel": "^2.10",
        "spatie/laravel-query-builder": "^4.0",
        "hollodotme/fast-cgi-client": "^3.1"
    },
    "require-dev": {
        "barryvdh/laravel-ide-helper": "^2.6",
        "beyondcode/laravel-dump-server": "^1.0",
        "facade/ignition": "^2.3.6",
        "filp/whoops": "^2.7",
        "friendsofphp/php-cs-fixer": "^2.16",
        "fzaninotto/faker": "^1.4",
        "laravel/tinker": "^2.0",
        "mockery/mockery": "^1.0",
        "nunomaduro/collision": "^5.0",
        "phpunit/phpunit": "^9.0",
        "psalm/plugin-laravel": "^1.4.1",
        "rector/rector": "^0.8.41",
        "squizlabs/php_codesniffer": "^3.5",
        "vimeo/psalm": "^4.1.0"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "psr-4": {
            "Chocofamily\\Polygon\\Application\\": "app/Application/",
            "Chocofamily\\Polygon\\Ports\\": "app/Ports/",
            "Chocofamily\\Polygon\\Domain\\": "app/Domain/",
            "Chocofamily\\Polygon\\Shared\\": "app/Shared/",
            "Chocofamily\\Polygon\\Infrastructure\\": "app/Infrastructure/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    }
}
